#include "histogram.h"

using namespace std;

std::vector<size_t> make_histogram(std::vector<double> numbers, size_t bin_count)
{
    std::vector<size_t> bins(bin_count);
    double Min, Max;
   // find_minmax(numbers, Min, Max);
    double bin_size = (Max - Min) / bin_count;
    for (double x : numbers)
        {
            bool found = false;
            for (size_t j = 0; (j < bin_count - 1) && !found; j++)
            {
                auto lo = Min + j * bin_size;
                auto hi = Min + (j + 1) * bin_size;
                if ((lo <= x) && (x < hi))
                {
                    bins[j]++;
                    found = true;
                }
            }
            if (!found)
            {
                bins[bin_count - 1]++;
            }
        }
    return bins;
}
